Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date: Tue, 24 Mar 2015 08:20:55 +0100
From: Petr Matousek <>
Subject: CVE-2015-1779 qemu: vnc: insufficient resource limiting in VNC
 websockets decoder

It was found that the QEMU's websocket frame decoder processed incoming
frames without limiting resources used to process the header and
payload. An attacker able to access a guest's VNC console could use this
flaw to trigger a denial of service on the host by exhausting all
available memory and CPU.


This issue was discovered by Daniel P. Berrange of Red Hat.

Upstream patch submission:

Petr Matousek / Red Hat Product Security
PGP: 0xC44977CA 8107 AF16 A416 F9AF 18F3  D874 3E78 6F42 C449 77CA

Powered by blists - more mailing lists

Your e-mail address:

Please check out the Open Source Software Security Wiki, which is counterpart to this mailing list.

Powered by Openwall GNU/*/Linux - Powered by OpenVZ